Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Interface PCData

All Superinterfaces:
  Serializable

public interface PCData
extends Serializable

Holds data about a single persistence capable instance. This interface is used in the caching framework, and may also be used by simple store manager back-ends to hold persistent state.

Method Summary
`void` | `clearData(int index)` Remove the stored data for the field at `index` and mark the field unloaded.
`Object` | `getData(int index)` Returns the stored data value for the field at `index`.
`Object` | `getImplData()` Returns the instance-level impl data, or null if none.
`Object` | `getImplData(int index)` Returns the stored impl field value for the field at `index`, or null if none.
`Object` | `getIntermediate(int index)` Returns the stored intermediate field value for the field at `index`, or null if none.
`Object` | `getObjectId()` Return the oid of this instance.
`Class` | `getType()` Return the type of this instance.
`Object` | `getVersion()` Returns the current version object that this data was loaded from.
`boolean` | `isLoaded(int index)` Returns `true` if the field at `index` is loaded; else returns `false`.
`void` | `load(KodoStateManager sm, BitSet fields, FetchConfiguration fetch, Object conn)` Loads some or all of the marked fields from the cache into the given state manager.
`void` | `load(KodoStateManager sm, FetchConfiguration fetch, Object conn)` Loads all fields that are currently stored in the cache into the given state manager.
`void` | `setData(int index, Object val)` Sets the stored data value for the field at `index` to `val`.
`void` | `setImplData(int index, Object val)` Sets the stored impl field value at `index` to `val`.
`void` | `setImplData(Object val)` Sets the stored instance-level impl data.
`void` | `setIntermediate(int index, Object val)` Sets the stored intermediate field value at `index` to `val`.
`void` | `setLoaded(int index, boolean loaded)` Sets the `loaded` flag for the field at `index`.
`void` | `setVersion(Object version)` Sets the current version object that this data was loaded from.
`void` | `store(KodoStateManager sm)` Store all loaded fields of the state manager.
`void` | `store(KodoStateManager sm, BitSet fields)` Store the given fields from the state manager.

Method Detail

### getObjectId

    public Object getObjectId()

  Return the oid of this instance.

### getType

    public Class getType()

  Return the type of this instance.

### getData

    public Object getData(int index)

  Returns the stored data value for the field at `index`. `null` could mean that the field is unset or that the field is set to `null`, so you should use `isLoaded(int)` to check the loaded status of the field.

### setData

    public void setData(int index,
                        Object val)

  Sets the stored data value for the field at `index` to `val`.

### clearData

    public void clearData(int index)

  Remove the stored data for the field at `index` and mark the field unloaded.

### getImplData

    public Object getImplData()

  Returns the instance-level impl data, or null if none.

### setImplData

    public void setImplData(Object val)

  Sets the stored instance-level impl data.

### getImplData

    public Object getImplData(int index)

  Returns the stored impl field value for the field at `index`, or null if none.

### setImplData

    public void setImplData(int index,
                            Object val)

  Sets the stored impl field value at `index` to `val`.

### getIntermediate

    public Object getIntermediate(int index)

  Returns the stored intermediate field value for the field at `index`, or null if none.

### setIntermediate

    public void setIntermediate(int index,
                                Object val)

  Sets the stored intermediate field value at `index` to `val`.

### isLoaded

    public boolean isLoaded(int index)

  Returns `true` if the field at `index` is loaded; else returns `false`.

### setLoaded

    public void setLoaded(int index,
                          boolean loaded)

  Sets the `loaded` flag for the field at `index`.

### getVersion

    public Object getVersion()

  Returns the current version object that this data was loaded from.

### setVersion

    public void setVersion(Object version)

  Sets the current version object that this data was loaded from.

### load

    public void load(KodoStateManager sm,
                     FetchConfiguration fetch,
                     Object conn)

  Loads all fields that are currently stored in the cache into the given state manager.
  Parameters:
    `sm` - the state manager to load
    `fetch` - the fetch configuration to use for loading related objects
    `conn` - current connection information

### load

    public void load(KodoStateManager sm,
                     BitSet fields,
                     FetchConfiguration fetch,
                     Object conn)

  Loads some or all of the marked fields from the cache into the given state manager.
  Parameters:
    `sm` - the state manager to load
    `fields` - the fields to load; clear the bits for the fields that are successfully loaded
    `fetch` - the fetch configuration to use for loading related objects
    `conn` - current connection information

### store

    public void store(KodoStateManager sm)

  Store all loaded fields of the state manager.

### store

    public void store(KodoStateManager sm,
                      BitSet fields)

  Store the given fields from the state manager.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.